Name: ca_NorduGrid-2015
Version: 1.108
Release: 1
Source: ca_NorduGrid-2015-1.108.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_NorduGrid-2015-1.108/NorduGrid2015.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority NorduGrid-2015

%if %([ -n "http://ca.nordugrid.org/" ] && echo 1 || echo 0)
URL: http://ca.nordugrid.org/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_NorduGrid-2015-1.108

%description
This is the trust anchor for the classic accredited authority NorduGrid-2015.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

